Subject: Re: git merge --abort

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Feb 2009 17:36:04 -0800

John Tapsell <[email-masked]> writes:

> It sounds like we have some sort of plan then.  Will Nana's patch be
> committed into mainline git?  Then we can add the --abort porcelain

I do not know what plan you are talking about, but that's not how the
development works.  If something is merged to 'pu', and you have a cool
feature you would want to take advantage of it, you can build your cool
feature on top of that particular topic.  If the result looks reasonable
they would cook for a while in 'next' for further polishing and then
finally go to 'mainline'.

I personally did not think "--keep" would need to be be part of a
reasonable "merge --abort" implementation, but I may have missed some
description of a viable design discussed on the list.